---
title: Sezóna
---

<p>Soutěž hraná systémem každý s každým. Pro mě nejpoužívanější herní systém, a proto zřejmě
nejlépe doladěný herní systém, kde jsem operace doplňoval podle potřeby, abych zkrátil dobu trvání operací.
Pokud budete hlásit připomínky a návrhy na vylepšení, tak by takto mohlo jednou vypadat celé STM.
</p>

<h2>Dostupné akce</h2>
<ul>
    <li><strong>Úprava sezóny</strong> - počet period sezóny, počty bodů na výhru, prohru, ...</li>    
    <li><strong>Tabulky</strong> - celková, domácí, hosté, ale také křížová tabulka. </li>
    <li><strong>Extra body týmů</strong> - odečty za korupci nejsou v STM problém. Každý tým může dostat
        <code class="inline">±127</code> extra bodů</li>
    <li><strong>Kola sezóny</strong> - možnost vložení výsledků všech zápasů z kola, nebo smazání všech zápasů z kola</li>
    <li><strong>Generování rozpisu</strong> - pokud neexistují zápasy, tak lze vygenerovat rozpis každý s každým</li>
    <li><strong>Přegenerování rozpisu</strong> - máte vygenerovaný rozpis, ale zrovna se přihlásily další 2 týmy, co teď? 
        STM vám vygeneruje nový rozpis a u existujících zápasů změní číslo kola.</li>    
</ul>

<h2>Pokročilá správa soutěže</h2>
<ul>
    <li><strong>Seřazení týmů podle vzájemných zápasů</strong> - v tabulce budou týmy se stejným počtem bodů seřazeny na základě počtu bodů a skóre ze vzájemných zápasů</li>
    <li><strong>Změna datumů všech zápasů v kolech sezóny</strong> - lze automaticky změnit data zápasů ve zvolených kolech</li>
</ul>

<h2>Změna data zápasů v kolech</h2>
<p>Kdy se to hodí? Pokud sledujete zápasy pouze jednoho týmu a při importu rozpisu nebyly
známé termíny zápasů z jarní části.</p>
